summaryrefslogtreecommitdiff
path: root/tests/misc/nohup
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-03-18 02:33:53 +0100
committerJim Meyering <meyering@redhat.com>2012-04-03 22:17:28 +0200
commit64cf1033cc47fe40bcebbecd069db486794fecea (patch)
treeaf422828ae74d4a2261af1ce556834594ce643a2 /tests/misc/nohup
parent5e1f5c5739766f054e773e296570ec410377ec25 (diff)
downloadcoreutils-64cf1033cc47fe40bcebbecd069db486794fecea.tar.xz
tests: fix quoting bug in misc/nohup
* tests/misc/nohup: Fix invalid quoting.
Diffstat (limited to 'tests/misc/nohup')
-rwxr-xr-xtests/misc/nohup4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index c6082aca5..cef8ee8fc 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -50,9 +50,9 @@ rm -f nohup.out err exp
# change depending on whether stderr is redirected.
nohup sh -c 'echo stdout; echo stderr 1>&2' >out || fail=1
if test -t 2; then
- test "'cat out|tr '\n' -`" = stdout-stderr- || fail=1
+ test "$(cat out|tr '\n' -)" = stdout-stderr- || fail=1
else
- test "'cat out|tr '\n' -`" = stdout- || fail=1
+ test "$(cat out|tr '\n' -)" = stdout- || fail=1
fi
# It must *not* exist.
test -f nohup.out && fail=1